GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientAsyncResponseReaderInterface< R > Class Template Referenceabstract

`#include <async_unary_call.h>`

## Public Member Functions
virtual | ~ClientAsyncResponseReaderInterface ()
virtual void | ReadInitialMetadata (void *tag)=0
virtual void | Finish (R *msg, Status *status, void *tag)=0

## Constructor & Destructor Documentation

template<class R >

virtual grpc::ClientAsyncResponseReaderInterface< R >::~ClientAsyncResponseReaderInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

template<class R >

virtual void grpc::ClientAsyncResponseReaderInterface< R >::Finish | ( | R * | msg,
|  | Status * | status,
|  | void * | tag
| ) |  |
| pure virtual

Implemented in grpc::ClientAsyncResponseReader< R >.

template<class R >

virtual void grpc::ClientAsyncResponseReaderInterface< R >::ReadInitialMetadata | ( | void * | tag | ) |
| pure virtual

Implemented in grpc::ClientAsyncResponseReader< R >.

The documentation for this class was generated from the following file:

- include/grpc++/async_unary_call.h